## org.apache.batik.dom.svg
Class SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration

All Implemented Interfaces:
  org.w3c.dom.svg.SVGAnimatedEnumeration

Enclosing class:
  SVGOMAnimatedMarkerOrientValue

    protected class SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration

extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedEnumeration

The `SVGAnimatedEnumeration` component of the marker orient value.

Constructor Summary
`protected` `SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration()`

Method Summary
`short` `getAnimVal()` DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.
`short` `getBaseVal()` DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.
`void` `setBaseVal(short baseVal)` DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration

    protected SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration()

Method Detail

### getBaseVal

    public short getBaseVal()

  DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`

### setBaseVal

    public void setBaseVal(short baseVal)
                    throws org.w3c.dom.DOMException

  DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.

  Specified by:
    `setBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`
  Throws:
    `org.w3c.dom.DOMException`

### getAnimVal

    public short getAnimVal()

  DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.